org.objectweb.asm.tree

## Class MultiANewArrayInsnNode

- java.lang.Object
- - org.objectweb.asm.tree.AbstractInsnNode
  - - org.objectweb.asm.tree.MultiANewArrayInsnNode

-     public class MultiANewArrayInsnNode
      extends AbstractInsnNode

  A node that represents a MULTIANEWARRAY instruction.
  Author:
    Eric Bruneton

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `String` | `desc` An array type descriptor (see `Type`).
    `int` | `dims` Number of dimensions of the array to allocate.

    - ### Fields inherited from class org.objectweb.asm.tree.AbstractInsnNode

      `FIELD_INSN, FRAME, IINC_INSN, INSN, INT_INSN, invisibleTypeAnnotations, INVOKE_DYNAMIC_INSN, JUMP_INSN, LABEL, LDC_INSN, LINE, LOOKUPSWITCH_INSN, METHOD_INSN, MULTIANEWARRAY_INSN, opcode, TABLESWITCH_INSN, TYPE_INSN, VAR_INSN, visibleTypeAnnotations`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MultiANewArrayInsnNode(String desc, int dims)` Constructs a new `MultiANewArrayInsnNode`.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `accept(MethodVisitor mv)` Makes the given code visitor visit this instruction.
    `AbstractInsnNode` | `clone(Map<LabelNode,LabelNode> labels)` Returns a copy of this instruction.
    `int` | `getType()` Returns the type of this instruction.

    - ### Methods inherited from class org.objectweb.asm.tree.AbstractInsnNode

      `acceptAnnotations, cloneAnnotations, getNext, getOpcode, getPrevious`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### desc

          public String desc

      An array type descriptor (see `Type`).

    - #### dims

          public int dims

      Number of dimensions of the array to allocate.

  - ### Constructor Detail

    - #### MultiANewArrayInsnNode

          public MultiANewArrayInsnNode(String desc,
                                        int dims)

      Constructs a new `MultiANewArrayInsnNode`.
      Parameters:
        `desc` - an array type descriptor (see `Type`).
        `dims` - number of dimensions of the array to allocate.

  - ### Method Detail

    - #### getType

          public int getType()

      Description copied from class: `AbstractInsnNode`
      Returns the type of this instruction.
      Specified by:
        `getType` in class `AbstractInsnNode`
      Returns:
        the type of this instruction, i.e. one the constants defined in this class.

    - #### accept

          public void accept(MethodVisitor mv)

      Description copied from class: `AbstractInsnNode`
      Makes the given code visitor visit this instruction.
      Specified by:
        `accept` in class `AbstractInsnNode`
      Parameters:
        `mv` - a code visitor.

    - #### clone

          public AbstractInsnNode clone(Map<LabelNode,LabelNode> labels)

      Description copied from class: `AbstractInsnNode`
      Returns a copy of this instruction.
      Specified by:
        `clone` in class `AbstractInsnNode`
      Parameters:
        `labels` - a map from LabelNodes to cloned LabelNodes.
      Returns:
        a copy of this instruction. The returned instruction does not belong to any `InsnList`.